<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    app:layout_constraintEnd_toEndOf="parent"
    app:layout_constraintStart_toStartOf="parent"
    app:layout_constraintTop_toTopOf="parent"
    tools:paddingBottom="5dp"
    tools:paddingTop="5dp">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_back"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="12dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/commonui_back_black_48_ic" />

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="34dp"
        android:layout_height="34dp"
        android:layout_marginStart="12dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toEndOf="@id/iv_back"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_user_name"
        android:layout_width="wrap_content"
        android:layout_height="18dp"
        android:layout_marginStart="12dp"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:text="@string/app_name"
        android:textColor="@color/color_FF1D2129"
        android:textSize="16sp"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="@id/iv_avatar"
        tools:text="Zaraaaa🦋rl" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_user_online"
        android:layout_width="wrap_content"
        android:layout_height="18dp"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:text="@string/app_name"
        android:textColor="@color/color_FF86909C"
        android:textSize="11sp"
        app:layout_constraintBottom_toBottomOf="@id/iv_avatar"
        app:layout_constraintStart_toStartOf="@id/tv_user_name"
        app:layout_constraintTop_toBottomOf="@id/tv_user_name"
        tools:text="text tip" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="12dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_follow"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginEnd="10dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_call"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/im_session_follow_ic"
            tools:visibility="visible" />

        <!--通话功能延后-->
        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_call"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginEnd="10dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_setting"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/im_session_call_ic" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_setting"
            android:layout_width="24dp"
            android:layout_height="24dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/im_session_more_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
